Create edge network instance
POST /api/v1/netinsts. Edge networks API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Body
Network instance provides Edge applications a variety of connectivity choices for all types of networks. This enables logical secure connectivity between Edge applications within a single Edge node and within a logical group of Edge nodes. This provides detailed configuration of a Network instance.
User defined name of the network instance, unique across the enterprise. Once object is created, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the network instance. Title can be changed at any time
3 - 256^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$id of the device on which network instance is created
name of port mapping in the model
Kind of Network Instance ( Local, Switch etc )
NETWORK_INSTANCE_KIND_UNSPECIFIED, NETWORK_INSTANCE_KIND_TRANSPARENT, NETWORK_INSTANCE_KIND_SWITCH, NETWORK_INSTANCE_KIND_LOCAL, NETWORK_INSTANCE_KIND_CLOUD, NETWORK_INSTANCE_KIND_MESH, NETWORK_INSTANCE_KIND_HONEYPOT Detailed description of the network instance
256system defined info for the object
id of the project in which network instance is created
Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
id of the Cluster in which the network instance is configured
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
Deprecated
Type of DHCP for this Network Instance
NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED, NETWORK_INSTANCE_DHCP_TYPE_V4, NETWORK_INSTANCE_DHCP_TYPE_V6, NETWORK_INSTANCE_DHCP_TYPE_CRYPTOEID, NETWORK_INSTANCE_DHCP_TYPE_CRYPTOV4, NETWORK_INSTANCE_DHCP_TYPE_CRYPTOV6 Dhcp Server Configuration
List of Static DNS entries
Lisp Config : read only for now. Deprecated.
Service specific Config
flag to indicate if this is the default network instance for the device
id of the network policy to be attached to this network instance
Automatically propagate connected routes
List of Static IP routes
Maximum transmission unit (MTU) to set for the network instance and all application interfaces connected to it
Edge Node Cluster
Enables forwarding of LLDP (Link Layer Discovery Protocol) frames across this network instance. LLDP is used by devices to advertise identity and capabilities to directly connected neighbors, and is often required for topology discovery and network management tools. When enabled, LLDP frames (EtherType 0x88cc) are not dropped or suppressed by the forwarding plane.
Response
A successful response.
OPS_TYPE_UNSPECIFIED, OPS_TYPE_READ, OPS_TYPE_DELETE, OPS_TYPE_CREATE, OPS_TYPE_UPDATE, OPS_TYPE_LIST - OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
- OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
- OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
OPS_STATUS_UNSPECIFIED, OPS_STATUS_PENDING, OPS_STATUS_ONGOING, OPS_STATUS_COMPLETE OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP